<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * Our Account Model
 *
 * @package    HAlMon
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_Account extends ORM {
	protected $_has_one = array(
		'model'=>array('foreign_key'=>'id'),
	);
	protected $_has_many = array(
		'contact'=>array('far_key'=>'id'),
		'trigger'=>array('far_key'=>'id'),
		'paneluser'=>array('model'=>'PanelUser','far_key'=>'id'),
		'panelzone'=>array('model'=>'PanelZone','far_key'=>'id'),
	);
}
?>
