<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides the base for Alarm Panel models
 *
 * @package    HAlMon
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class Panel {
	protected $_ao = NULL;
	protected $_eo = NULL;

	public function __construct(Protocol $eo,Model $ao) {
		$this->_ao = $ao;
		$this->_eo = $eo;
	}

	abstract public function __toString();
}
?>
