<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * HAM system default configurable items.
 *
 * @package    HAM
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */

return array(
	'cache_type'      => 'file',
	'date_format'     => 'd-m-Y',
	'email_admin_only'=> array(
		'method'=>array('wurley@users.sf.net'=>'Deon George'),
	),
	'event_dir'       => '/var/spool/asterisk/tmp/alarm/',
	'event_file_prefix'=>'event-',
	'event_file_keep' => TRUE,
	'method_directory'=> array(		// Out method paths for the different functions
		'task',
		),
	'method_security' => TRUE,		// Enables Method Security. Setting to false means any method can be run without authentication
	'site'            => array(
	),
	'site_debug'      => FALSE,
	'site_mode'       => array(
	)
);
?>
